From ebeba2c9bcdf09c363ac3b08074c88e2c9e100e1 Mon Sep 17 00:00:00 2001
From: Shanmathi Paramanandam <shanmathi.paramanandam@multicorewareinc.com>
Date: Thu, 6 Feb 2025 09:59:00 +0530
Subject: [PATCH] fix for yuv recon output issue

---
 source/output/yuv.cpp | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

diff --git a/source/output/yuv.cpp b/source/output/yuv.cpp
index b078ddff1..b13dc4096 100644
--- a/source/output/yuv.cpp
+++ b/source/output/yuv.cpp
@@ -57,8 +57,7 @@ bool YUVOutput::writePicture(const x265_picture& pic)
     X265_CHECK(pic.colorSpace == colorSpace, "invalid chroma subsampling\n");
     X265_CHECK(pic.bitDepth == (int)depth, "invalid bit depth\n");
 
-    if (inputDepth > 8)
-    {
+#if HIGH_BIT_DEPTH
 	if (depth == 8)
 	{
 		int shift = pic.bitDepth - 8;
@@ -89,9 +88,7 @@ bool YUVOutput::writePicture(const x265_picture& pic)
 			}
 		}
 	}
-    }
-    else
-    {
+#else
 	ofs.seekp((std::streamoff)fileOffset);
 	for (int i = 0; i < x265_cli_csps[colorSpace].planes; i++)
 	{
@@ -102,7 +99,7 @@ bool YUVOutput::writePicture(const x265_picture& pic)
 			src += pic.stride[i] / sizeof(*src);
 		}
 	}
-    }
+#endif
 
     return true;
 }
-- 
2.47.0.windows.1

